import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
//import {} from 'd3';

import { useData } from './useData';

import { Marks } from './Marks';
//setting height and width
const width = 1000;
const height = 800;

const App = () => {
  const data = useData();
  if (!data) {
    return <p>wait!!</p>;
  }

  return (
    <svg width={width} height={height}>
      <Marks
        data={data}
      
      />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
